using Otter;

namespace LOoSE_sLOTS.entities
{
    class DeadSniper : Entity
    {
        private Spritemap<string> _spriteMap;

        public DeadSniper(float x, float y)
        {
            X = x; Y = y;
            _spriteMap = new Spritemap<string>(Assets.SNIPER, 50, 50);
            _spriteMap.Add("death", new int[] { 14 }, new float[] { 5f, 5f });
            _spriteMap.Play("death");
            _spriteMap.CenterOrigin();
            Graphic = _spriteMap;
        }

        public override void Update()
        {
            base.Update();
        }
        public void Destroy()
        {
            if (_spriteMap.CurrentAnim != "death")
                _spriteMap.Play("death");
        }

        public override void Render()
        {
            base.Render();
            //Collider.Render();
        }
    }
}
